Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 385353 - Stabilize =media-tv/tvtime-1.0.2_p20110131-r3
Summary: Stabilize =media-tv/tvtime-1.0.2_p20110131-r3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Alex Legler (RETIRED)
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 384733
  Show dependency tree
 
Reported: 2011-10-02 10:28 UTC by Samuli Suominen
Modified: 2012-01-06 16:53 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild.patch (diff,1.08 KB, patch)
2011-10-13 17:28 UTC, Agostino Sarubbo
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2011-10-02 10:28:29 UTC
required by both, linux-headers >= 2.6.38 and libpng >= 1.5 compability, please remove the older versions from tree while at it
Comment 1 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-10-05 17:02:28 UTC
will have to wait until bug 384215 is fixed. short on time atm, so that might take a few days.
Comment 2 Samuli Suominen gentoo-dev 2011-10-10 18:52:06 UTC
backported "libpng+zlib" fix to stable version:

+  10 Oct 2011; Samuli Suominen <ssuominen@gentoo.org> tvtime-1.0.2-r2.ebuild:
+  Missing #include <zlib.h> for Z_BEST_COMPRESSION. Required by libpng >= 1.5
+  stabilization.

so we can remove bug 384701 from Blocks

so now this is only required for newer linux-headers
Comment 3 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-10-13 08:18:28 UTC
Arches, please test and mark stable:
=media-tv/tvtime-1.0.2_p20110131-r2
Target keywords : "amd64 ppc x86"
Comment 4 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-10-13 14:45:06 UTC
actually adding arches... see comment above
Comment 5 Agostino Sarubbo gentoo-dev 2011-10-13 17:28:32 UTC
Created attachment 289745 [details, diff]
ebuild.patch

@Alex:

from my build log:

x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -I/usr/include/freetype2    -Wall -pedantic -I. -DDATADIR="\"/usr/share/tvtime\"" -DCONFDIR="\"/etc/tvtime\"" -DFIFODIR="\"/tmp\"" -D_LARGEFILE64_SOURCE -DLOCALEDIR="\"/usr/share/locale\"" -I../plugins  -I/usr/include/libxml2   -march=native  -g0 -O3 -fomit-frame-pointer -std=gnu99 -c -o tvtime-weavebff.o `test -f '../plugins/weavebff.c' || echo './'`../plugins/weavebff.c

There is a reason because my -O2 is replaced by -O3 ? Take a look also at patch, works for me parallel make in src_install.
Comment 6 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-10-14 21:29:31 UTC
(In reply to comment #5)
> There is a reason because my -O2 is replaced by -O3 ?

I guess that is common in media apps.

> Take a look also at
> patch, works for me parallel make in src_install.

Never heard about problems with that before, but okay.

New target: =media-tv/tvtime-1.0.2_p20110131-r3
Comment 7 Agostino Sarubbo gentoo-dev 2011-10-15 09:52:08 UTC
(In reply to comment #6)
> I guess that is common in media apps.

Well, amd64 ok
Comment 8 Markos Chandras (RETIRED) gentoo-dev 2011-10-15 14:53:43 UTC
amd64 done. Thanks Agostino
Comment 9 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-10-18 06:38:22 UTC
x86 stable
Comment 10 Brent Baude (RETIRED) gentoo-dev 2012-01-06 16:53:52 UTC
ppc done; closing as last arch